Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBooleanTexture Class Reference

`#include <vtkBooleanTexture.h>`

Inheritance diagram for vtkBooleanTexture:

[legend]
Collaboration diagram for vtkBooleanTexture:

[legend]
List of all members.

## Detailed Description

generate 2D texture map based on combinations of inside, outside, and on region boundary

Date:
  2002/06/11 15:47:59

Revision:
  1.34

vtkBooleanTexture is a filter to generate a 2D texture map based on combinations of inside, outside, and on region boundary. The "region" is implicitly represented via 2D texture coordinates. These texture coordinates are normally generated using a filter like vtkImplicitTextureCoords, which generates the texture coordinates for any implicit function.

vtkBooleanTexture generates the map according to the s-t texture coordinates plus the notion of being in, on, or outside of a region. An in region is when the texture coordinate is between (0,0.5-thickness/2). An out region is where the texture coordinate is (0.5+thickness/2). An on region is between (0.5-thickness/2,0.5+thickness/2). The combination in, on, and out for each of the s-t texture coordinates results in 16 possible combinations (see text). For each combination, a different value of intensity and transparency can be assigned. To assign maximum intensity and/or opacity use the value 255. A minimum value of 0 results in a black region (for intensity) and a fully transparent region (for transparency).

See also:
  vtkImplicitTextureCoords vtkThresholdTextureCoords

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (55%)
  - Martin, Ken (23%)
  - Lorensen, Bill (8%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkBooleanTexture.cxx)`
  - .`h` (`/Imaging/vtkBooleanTexture.h)`

Tests:
  vtkBooleanTexture (Tests)

Definition at line 68 of file vtkBooleanTexture.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetXSize (int)
virtual int | GetXSize ()
virtual void | SetYSize (int)
virtual int | GetYSize ()
virtual void | SetThickness (int)
virtual int | GetThickness ()
virtual void | SetInIn (unsigned char, unsigned char)
void | SetInIn (unsigned char[2])
virtual unsigned char * | GetInIn ()
virtual void | GetInIn (unsigned char data[2])
virtual void | SetInOut (unsigned char, unsigned char)
void | SetInOut (unsigned char[2])
virtual unsigned char * | GetInOut ()
virtual void | GetInOut (unsigned char data[2])
virtual void | SetOutIn (unsigned char, unsigned char)
void | SetOutIn (unsigned char[2])
virtual unsigned char * | GetOutIn ()
virtual void | GetOutIn (unsigned char data[2])
virtual void | SetOutOut (unsigned char, unsigned char)
void | SetOutOut (unsigned char[2])
virtual unsigned char * | GetOutOut ()
virtual void | GetOutOut (unsigned char data[2])
virtual void | SetOnOn (unsigned char, unsigned char)
void | SetOnOn (unsigned char[2])
virtual unsigned char * | GetOnOn ()
virtual void | GetOnOn (unsigned char data[2])
virtual void | SetOnIn (unsigned char, unsigned char)
void | SetOnIn (unsigned char[2])
virtual unsigned char * | GetOnIn ()
virtual void | GetOnIn (unsigned char data[2])
virtual void | SetOnOut (unsigned char, unsigned char)
void | SetOnOut (unsigned char[2])
virtual unsigned char * | GetOnOut ()
virtual void | GetOnOut (unsigned char data[2])
virtual void | SetInOn (unsigned char, unsigned char)
void | SetInOn (unsigned char[2])
virtual unsigned char * | GetInOn ()
virtual void | GetInOn (unsigned char data[2])
virtual void | SetOutOn (unsigned char, unsigned char)
void | SetOutOn (unsigned char[2])
virtual unsigned char * | GetOutOn ()
virtual void | GetOutOn (unsigned char data[2])
## Static Public Methods
vtkBooleanTexture * | New ()
int | IsTypeOf (const char *type)
vtkBooleanTexture * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBooleanTexture ()
| ~vtkBooleanTexture ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
int | XSize
int | YSize
int | Thickness
unsigned char | InIn [2]
unsigned char | InOut [2]
unsigned char | OutIn [2]
unsigned char | OutOut [2]
unsigned char | OnOn [2]
unsigned char | OnIn [2]
unsigned char | OnOut [2]
unsigned char | InOn [2]
unsigned char | OutOn [2]

## Member Typedef Documentation

typedef vtkImageSource vtkBooleanTexture::Superclass

| Reimplemented from vtkImageSource. Definition at line 73 of file vtkBooleanTexture.h.

## Constructor & Destructor Documentation

vtkBooleanTexture::vtkBooleanTexture | ( |  | ) | `[protected]`

vtkBooleanTexture::~vtkBooleanTexture | ( |  | ) | `[inline, protected]`

| Definition at line 150 of file vtkBooleanTexture.h.

## Member Function Documentation

vtkBooleanTexture* vtkBooleanTexture::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkBooleanTexture::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkBooleanTexture::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkBooleanTexture::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkBooleanTexture* vtkBooleanTexture::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkBooleanTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkBooleanTexture::SetXSize | ( | int |  | ) | `[virtual]`

| Set the X texture map dimension.

virtual int vtkBooleanTexture::GetXSize | ( |  | ) | `[virtual]`

| Set the X texture map dimension.

virtual void vtkBooleanTexture::SetYSize | ( | int |  | ) | `[virtual]`

| Set the Y texture map dimension.

virtual int vtkBooleanTexture::GetYSize | ( |  | ) | `[virtual]`

| Set the Y texture map dimension.

virtual void vtkBooleanTexture::SetThickness | ( | int |  | ) | `[virtual]`

| Set the thickness of the "on" region.

virtual int vtkBooleanTexture::GetThickness | ( |  | ) | `[virtual]`

| Set the thickness of the "on" region.

virtual void vtkBooleanTexture::SetInIn | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "in/in" region.

void vtkBooleanTexture::SetInIn | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "in/in" region.

virtual unsigned char* vtkBooleanTexture::GetInIn | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "in/in" region.

virtual void vtkBooleanTexture::GetInIn | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "in/in" region.

virtual void vtkBooleanTexture::SetInOut | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "in/out" region.

void vtkBooleanTexture::SetInOut | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "in/out" region.

virtual unsigned char* vtkBooleanTexture::GetInOut | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "in/out" region.

virtual void vtkBooleanTexture::GetInOut | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "in/out" region.

virtual void vtkBooleanTexture::SetOutIn | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "out/in" region.

void vtkBooleanTexture::SetOutIn | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "out/in" region.

virtual unsigned char* vtkBooleanTexture::GetOutIn | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "out/in" region.

virtual void vtkBooleanTexture::GetOutIn | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "out/in" region.

virtual void vtkBooleanTexture::SetOutOut | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "out/out" region.

void vtkBooleanTexture::SetOutOut | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "out/out" region.

virtual unsigned char* vtkBooleanTexture::GetOutOut | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "out/out" region.

virtual void vtkBooleanTexture::GetOutOut | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "out/out" region.

virtual void vtkBooleanTexture::SetOnOn | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "on/on" region.

void vtkBooleanTexture::SetOnOn | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "on/on" region.

virtual unsigned char* vtkBooleanTexture::GetOnOn | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "on/on" region.

virtual void vtkBooleanTexture::GetOnOn | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "on/on" region.

virtual void vtkBooleanTexture::SetOnIn | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "on/in" region.

void vtkBooleanTexture::SetOnIn | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "on/in" region.

virtual unsigned char* vtkBooleanTexture::GetOnIn | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "on/in" region.

virtual void vtkBooleanTexture::GetOnIn | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "on/in" region.

virtual void vtkBooleanTexture::SetOnOut | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "on/out" region.

void vtkBooleanTexture::SetOnOut | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "on/out" region.

virtual unsigned char* vtkBooleanTexture::GetOnOut | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "on/out" region.

virtual void vtkBooleanTexture::GetOnOut | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "on/out" region.

virtual void vtkBooleanTexture::SetInOn | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "in/on" region.

void vtkBooleanTexture::SetInOn | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "in/on" region.

virtual unsigned char* vtkBooleanTexture::GetInOn | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "in/on" region.

virtual void vtkBooleanTexture::GetInOn | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "in/on" region.

virtual void vtkBooleanTexture::SetOutOn | ( | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Specify intensity/transparency for "out/on" region.

void vtkBooleanTexture::SetOutOn | ( | unsigned | char[2] | ) |

| Specify intensity/transparency for "out/on" region.

virtual unsigned char* vtkBooleanTexture::GetOutOn | ( |  | ) | `[virtual]`

| Specify intensity/transparency for "out/on" region.

virtual void vtkBooleanTexture::GetOutOn | ( | unsigned char | data[2] | ) | `[virtual]`

| Specify intensity/transparency for "out/on" region.

virtual void vtkBooleanTexture::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkBooleanTexture::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

int vtkBooleanTexture::XSize`[protected]`

| Definition at line 155 of file vtkBooleanTexture.h.

int vtkBooleanTexture::YSize`[protected]`

| Definition at line 156 of file vtkBooleanTexture.h.

int vtkBooleanTexture::Thickness`[protected]`

| Definition at line 158 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::InIn[2]`[protected]`

| Definition at line 159 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::InOut[2]`[protected]`

| Definition at line 160 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::OutIn[2]`[protected]`

| Definition at line 161 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::OutOut[2]`[protected]`

| Definition at line 162 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::OnOn[2]`[protected]`

| Definition at line 163 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::OnIn[2]`[protected]`

| Definition at line 164 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::OnOut[2]`[protected]`

| Definition at line 165 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::InOn[2]`[protected]`

| Definition at line 166 of file vtkBooleanTexture.h.

unsigned char vtkBooleanTexture::OutOn[2]`[protected]`

| Definition at line 167 of file vtkBooleanTexture.h.

The documentation for this class was generated from the following file:

- Imaging/vtkBooleanTexture.h